package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairConsumables;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.ChangeConsumesVo;
import com.repair.model.vo.ConsumableExcelVo;
import com.repair.model.vo.ConsumablePageVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairConsumablesService extends IService<RepairConsumables> {
    int insertRepairConsumables(RepairConsumables rns);

    int updateRepairConsumables(RepairConsumables rns);

    PageUtils<RepairConsumables> queryPageRepairConsumabless(int currentPage, int pageCount, String name);

    int deleteRepairConsumablesById(int id);

    RepairConsumables getRepairById(int id);

    List<RepairConsumables> getRepairs();

    List<RepairConsumables> getRepairsByRecordIds(List<Integer> recordIds);

    List<RepairConsumables> getRepairsByRecordId(Integer recordIds);

    PageUtils<ConsumablePageVo> queryConsumablePageList(int currentPage, int pageCount, String keyWord, String startTime, String endTime);

    List<ConsumableExcelVo> queryConsumablePageList(String keyWord, String startTime, String endTime);

    boolean insertConsumableBatch(List<RepairConsumables> rns);

    boolean saveorUpdateConsumableBatch(List<RepairConsumables> rns);

    List<ChangeConsumesVo> repairChangeConsumes(Integer recordId);

    int deletedConsumableByIds(List<Integer> ids);
}
